> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a Connect Webview

> Deletes a [Connect Webview](https://docs.seam.co/core-concepts/connect-webviews).

You do not need to delete a Connect Webview once a user completes it. Instead, you can simply ignore completed Connect Webviews.



## OpenAPI

````yaml /openapi.json post /connect_webviews/delete
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /connect_webviews/delete:
    post:
      tags:
        - /connect_webviews
      summary: Delete a Connect Webview
      description: >-
        Deletes a [Connect
        Webview](https://docs.seam.co/core-concepts/connect-webviews).


        You do not need to delete a Connect Webview once a user completes it.
        Instead, you can simply ignore completed Connect Webviews.
      operationId: connectWebviewsDeletePost
      requestBody:
        content:
          application/json:
            schema:
              properties:
                connect_webview_id:
                  description: ID of the Connect Webview that you want to delete.
                  format: uuid
                  type: string
              required:
                - connect_webview_id
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  ok:
                    type: boolean
                required:
                  - ok
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - api_key: []
        - pat_with_workspace: []
        - console_session_with_workspace: []
      x-codeSamples:
        - lang: javascript
          label: Seam SDK
          source: |-
            await seam.connectWebviews.delete({
              connect_webview_id: "816f796f-636c-46a9-9fef-7f90ca69e771",
            });

            /*
            // void
            */
        - lang: bash
          label: cURL
          source: >-
            curl --include --request POST
            "https://connect.getseam.com/connect_webviews/delete" \
              --header "Authorization: Bearer $SEAM_API_KEY" \
              --json @- <<EOF
            {
              "connect_webview_id": "816f796f-636c-46a9-9fef-7f90ca69e771"
            }

            EOF


            # Response:

            # {}
        - lang: python
          label: Seam SDK
          source: >-
            seam.connect_webviews.delete(connect_webview_id="816f796f-636c-46a9-9fef-7f90ca69e771")


            # None
        - lang: ruby
          label: Seam SDK
          source: >-
            seam.connect_webviews.delete(connect_webview_id:
            "816f796f-636c-46a9-9fef-7f90ca69e771")


            # => nil
        - lang: php
          label: Seam SDK
          source: |-
            $seam->connect_webviews->delete(
                connect_webview_id: "816f796f-636c-46a9-9fef-7f90ca69e771",
            );
        - lang: bash
          label: Seam CLI
          source: >-
            seam connect-webviews delete --connect_webview_id
            "816f796f-636c-46a9-9fef-7f90ca69e771"


            # {}
components:
  securitySchemes:
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http

````